## Index

### Interfaces

- Cancelable
- Dictionary
- LoDashExplicitWrapper
- LoDashImplicitWrapper
- LoDashStatic
- MapCache
- MapCacheConstructor
- NumericDictionary
- TemplateSettings

### Type aliases

- AnyKindOfDictionary
- ArrayIterator
- Comparator
- Comparator2
- DictionaryIteratee
- DictionaryIterator
- DictionaryIteratorTypeGuard
- IterateeShorthand
- List
- ListIteratee
- ListIterateeCustom
- ListIterator
- ListIteratorTypeGuard
- LoDashExplicitArrayWrapper
- LoDashExplicitNillableArrayWrapper
- LoDashExplicitNillableObjectWrapper
- LoDashExplicitNumberArrayWrapper
- LoDashExplicitObjectWrapper
- LoDashExplicitStringWrapper
- LoDashImplicitArrayWrapper
- LoDashImplicitNillableArrayWrapper
- LoDashImplicitNillableObjectWrapper
- LoDashImplicitNumberArrayWrapper
- LoDashImplicitObjectWrapper
- LoDashImplicitStringWrapper
- Many
- MemoIterator
- MemoIteratorCapped
- MemoIteratorCappedRight
- MemoListIterator
- MemoObjectIterator
- MemoVoidArrayIterator
- MemoVoidDictionaryIterator
- MemoVoidIterator
- MemoVoidIteratorCapped
- NotVoid
- NumericDictionaryIteratee
- NumericDictionaryIterateeCustom
- NumericDictionaryIterator
- ObjectIteratee
- ObjectIterateeCustom
- ObjectIterator
- ObjectIteratorTypeGuard
- Omit
- PartialDeep
- PartialObject
- PropertyName
- PropertyPath
- StringIterator
- ValueIteratee
- ValueIterateeCustom
- ValueIteratorTypeGuard
- ValueKeyIteratee
- ValueKeyIterateeTypeGuard

## Type aliases

### AnyKindOfDictionary

AnyKindOfDictionary: Dictionary<__type | null | undefined> | NumericDictionary<__type | null | undefined>

- Defined in node_modules/@types/lodash/common/common.d.ts:236

### ArrayIterator

ArrayIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:183

#### Type declaration

- - (value: T, index: number, collection: T[]): TResult

  - #### Parameters

    - ##### value: T

    - ##### index: number

    - ##### collection: T[]

    #### Returns TResult

### Comparator

Comparator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:216

#### Type declaration

- - (a: T, b: T): boolean

  - #### Parameters

    - ##### a: T

    - ##### b: T

    #### Returns boolean

### Comparator2

Comparator2: function

- Defined in node_modules/@types/lodash/common/common.d.ts:217

#### Type declaration

- - (a: T1, b: T2): boolean

  - #### Parameters

    - ##### a: T1

    - ##### b: T2

    #### Returns boolean

### DictionaryIteratee

DictionaryIteratee: ObjectIteratee<Dictionary<T>>

- Defined in node_modules/@types/lodash/common/common.d.ts:264

### DictionaryIterator

DictionaryIterator: ObjectIterator<Dictionary<T>, TResult>

- Defined in node_modules/@types/lodash/common/common.d.ts:263

### DictionaryIteratorTypeGuard

DictionaryIteratorTypeGuard: ObjectIteratorTypeGuard<Dictionary<T>, S>

- Defined in node_modules/@types/lodash/common/common.d.ts:265

### IterateeShorthand

IterateeShorthand: PropertyName | [PropertyName, any] | PartialDeep<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:182

### List

List: ArrayLike<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:225

Common interface between Arrays and jQuery objects

### ListIteratee

ListIteratee: ListIterator<T, NotVoid> | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:185

### ListIterateeCustom

ListIterateeCustom: ListIterator<T, TResult> | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:186

### ListIterator

ListIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:184

#### Type declaration

- - (value: T, index: number, collection: List<T>): TResult

  - #### Parameters

    - ##### value: T

    - ##### index: number

    - ##### collection: List<T>

    #### Returns TResult

### ListIteratorTypeGuard

ListIteratorTypeGuard: function

- Defined in node_modules/@types/lodash/common/common.d.ts:187

#### Type declaration

- - (value: T, index: number, collection: List<T>): boolean

  - #### Parameters

    - ##### value: T

    - ##### index: number

    - ##### collection: List<T>

    #### Returns boolean

### LoDashExplicitArrayWrapper

LoDashExplicitArrayWrapper: LoDashExplicitWrapper<T[]>

- Defined in node_modules/@types/lodash/common/common.d.ts:256

### LoDashExplicitNillableArrayWrapper

LoDashExplicitNillableArrayWrapper: LoDashExplicitWrapper<T[] | null | undefined>

- Defined in node_modules/@types/lodash/common/common.d.ts:257

### LoDashExplicitNillableObjectWrapper

LoDashExplicitNillableObjectWrapper: LoDashExplicitWrapper<T | null | undefined>

- Defined in node_modules/@types/lodash/common/common.d.ts:259

### LoDashExplicitNumberArrayWrapper

LoDashExplicitNumberArrayWrapper: LoDashExplicitWrapper<number[]>

- Defined in node_modules/@types/lodash/common/common.d.ts:260

### LoDashExplicitObjectWrapper

LoDashExplicitObjectWrapper: LoDashExplicitWrapper<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:258

### LoDashExplicitStringWrapper

LoDashExplicitStringWrapper: LoDashExplicitWrapper<string>

- Defined in node_modules/@types/lodash/common/common.d.ts:261

### LoDashImplicitArrayWrapper

LoDashImplicitArrayWrapper: LoDashImplicitWrapper<T[]>

- Defined in node_modules/@types/lodash/common/common.d.ts:250

### LoDashImplicitNillableArrayWrapper

LoDashImplicitNillableArrayWrapper: LoDashImplicitWrapper<T[] | null | undefined>

- Defined in node_modules/@types/lodash/common/common.d.ts:251

### LoDashImplicitNillableObjectWrapper

LoDashImplicitNillableObjectWrapper: LoDashImplicitWrapper<T | null | undefined>

- Defined in node_modules/@types/lodash/common/common.d.ts:253

### LoDashImplicitNumberArrayWrapper

LoDashImplicitNumberArrayWrapper: LoDashImplicitWrapper<number[]>

- Defined in node_modules/@types/lodash/common/common.d.ts:254

### LoDashImplicitObjectWrapper

LoDashImplicitObjectWrapper: LoDashImplicitWrapper<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:252

### LoDashImplicitStringWrapper

LoDashImplicitStringWrapper: LoDashImplicitWrapper<string>

- Defined in node_modules/@types/lodash/common/common.d.ts:255

### Many

Many: T | ReadonlyArray<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:6

### MemoIterator

MemoIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:201

deprecated

  Use MemoListIterator or MemoObjectIterator instead.

#### Type declaration

- - (prev: TResult, curr: T, indexOrKey: any, list: T[]): TResult

  - #### Parameters

    - ##### prev: TResult

    - ##### curr: T

    - ##### indexOrKey: any

    - ##### list: T[]

    #### Returns TResult

### MemoIteratorCapped

MemoIteratorCapped: function

- Defined in node_modules/@types/lodash/common/common.d.ts:204

#### Type declaration

- - (prev: TResult, curr: T): TResult

  - #### Parameters

    - ##### prev: TResult

    - ##### curr: T

    #### Returns TResult

### MemoIteratorCappedRight

MemoIteratorCappedRight: function

- Defined in node_modules/@types/lodash/common/common.d.ts:205

#### Type declaration

- - (curr: T, prev: TResult): TResult

  - #### Parameters

    - ##### curr: T

    - ##### prev: TResult

    #### Returns TResult

### MemoListIterator

MemoListIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:202

#### Type declaration

- - (prev: TResult, curr: T, index: number, list: TList): TResult

  - #### Parameters

    - ##### prev: TResult

    - ##### curr: T

    - ##### index: number

    - ##### list: TList

    #### Returns TResult

### MemoObjectIterator

MemoObjectIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:203

#### Type declaration

- - (prev: TResult, curr: T, key: string, list: TList): TResult

  - #### Parameters

    - ##### prev: TResult

    - ##### curr: T

    - ##### key: string

    - ##### list: TList

    #### Returns TResult

### MemoVoidArrayIterator

MemoVoidArrayIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:207

#### Type declaration

- - (acc: TResult, curr: T, index: number, arr: T[]): void

  - #### Parameters

    - ##### acc: TResult

    - ##### curr: T

    - ##### index: number

    - ##### arr: T[]

    #### Returns void

### MemoVoidDictionaryIterator

MemoVoidDictionaryIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:208

#### Type declaration

- - (acc: TResult, curr: T, key: string, dict: Dictionary<T>): void

  - #### Parameters

    - ##### acc: TResult

    - ##### curr: T

    - ##### key: string

    - ##### dict: Dictionary<T>

    #### Returns void

### MemoVoidIterator

MemoVoidIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:198

deprecated

  Use MemoVoidArrayIterator or MemoVoidDictionaryIterator instead.

#### Type declaration

- - (prev: TResult, curr: T, indexOrKey: any, list: T[]): void

  - #### Parameters

    - ##### prev: TResult

    - ##### curr: T

    - ##### indexOrKey: any

    - ##### list: T[]

    #### Returns void

### MemoVoidIteratorCapped

MemoVoidIteratorCapped: function

- Defined in node_modules/@types/lodash/common/common.d.ts:209

#### Type declaration

- - (acc: TResult, curr: T): void

  - #### Parameters

    - ##### acc: TResult

    - ##### curr: T

    #### Returns void

### NotVoid

NotVoid: __type | null | undefined

- Defined in node_modules/@types/lodash/common/common.d.ts:181

### NumericDictionaryIteratee

NumericDictionaryIteratee: NumericDictionaryIterator<T, NotVoid> | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:268

### NumericDictionaryIterateeCustom

NumericDictionaryIterateeCustom: NumericDictionaryIterator<T, TResult> | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:269

### NumericDictionaryIterator

NumericDictionaryIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:267

#### Type declaration

- - (value: T, key: string, collection: NumericDictionary<T>): TResult

  - #### Parameters

    - ##### value: T

    - ##### key: string

    - ##### collection: NumericDictionary<T>

    #### Returns TResult

### ObjectIteratee

ObjectIteratee: ObjectIterator<TObject, NotVoid> | IterateeShorthand<TObject[keyof TObject]>

- Defined in node_modules/@types/lodash/common/common.d.ts:191

### ObjectIterateeCustom

ObjectIterateeCustom: ObjectIterator<TObject, TResult> | IterateeShorthand<TObject[keyof TObject]>

- Defined in node_modules/@types/lodash/common/common.d.ts:192

### ObjectIterator

ObjectIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:190

#### Type declaration

- - (value: TObject[keyof TObject], key: string, collection: TObject): TResult

  - #### Parameters

    - ##### value: TObject[keyof TObject]

    - ##### key: string

    - ##### collection: TObject

    #### Returns TResult

### ObjectIteratorTypeGuard

ObjectIteratorTypeGuard: function

- Defined in node_modules/@types/lodash/common/common.d.ts:193

#### Type declaration

- - (value: TObject[keyof TObject], key: string, collection: TObject): boolean

  - #### Parameters

    - ##### value: TObject[keyof TObject]

    - ##### key: string

    - ##### collection: TObject

    #### Returns boolean

### Omit

Omit: Pick<T, ({ [P in keyof T]: P; } & { [P in K]: never; } & { [x: string]: never; })[keyof T]>

- Defined in node_modules/@types/lodash/common/common.d.ts:222

### PartialDeep

PartialDeep: object

- Defined in node_modules/@types/lodash/common/common.d.ts:245

#### Type declaration

### PartialObject

PartialObject: GlobalPartial<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:5

### PropertyName

PropertyName: string | number | symbol

- Defined in node_modules/@types/lodash/common/common.d.ts:219

### PropertyPath

PropertyPath: Many<PropertyName>

- Defined in node_modules/@types/lodash/common/common.d.ts:220

### StringIterator

StringIterator: function

- Defined in node_modules/@types/lodash/common/common.d.ts:195

#### Type declaration

- - (char: string, index: number, string: string): TResult

  - #### Parameters

    - ##### char: string

    - ##### index: number

    - ##### string: string

    #### Returns TResult

### ValueIteratee

ValueIteratee: function | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:211

### ValueIterateeCustom

ValueIterateeCustom: function | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:212

### ValueIteratorTypeGuard

ValueIteratorTypeGuard: function

- Defined in node_modules/@types/lodash/common/common.d.ts:213

#### Type declaration

- - (value: T): boolean

  - #### Parameters

    - ##### value: T

    #### Returns boolean

### ValueKeyIteratee

ValueKeyIteratee: function | IterateeShorthand<T>

- Defined in node_modules/@types/lodash/common/common.d.ts:214

### ValueKeyIterateeTypeGuard

ValueKeyIterateeTypeGuard: function

- Defined in node_modules/@types/lodash/common/common.d.ts:215

#### Type declaration

- - (value: T, key: string): boolean

  - #### Parameters

    - ##### value: T

    - ##### key: string

    #### Returns boolean

Generated using TypeDoc